#ifndef GAME_H
#define GAME_H

#include <microfx/microfx.h>
#include <microfx/ext/gametools.h>

#include "player.h"

typedef enum {
    S_INTRO,
    S_TITLE,
    S_SKINCHOOSE,
    S_GAME,
    S_FAILURE,
    S_DONE,
    S_END,
    S_AMOUNT
} Screen;

typedef struct {
    Player player; /* The Player struct is defined in player.h */
    Screen screen; /* The screen we're on, the title screen, the caracter
                      choosing screen, etc. */
    MMap *map;     /* A pointer to the MMap that the player is currently on. */
} Game;

/* Functions */

void pinit(Game *game);

/* void pdraw(Game *game);

Draws the player. Should be called after gmap.
*/

void pdraw(Game *game);

void pset_action(Game *game, int n);

#endif